<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:mask="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/loCardNo"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="32dp"
        android:layout_marginEnd="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/etCardNo"
            android:inputType="number"
            android:digits="0123456789"
            android:maxLength="16"
            android:imeOptions="actionNext"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/str_card_no" />


    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/loName"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loCardNo">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/etName"
            android:imeOptions="actionNext"
            android:inputType="text"
            android:maxLines="1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/str_name" />


    </com.google.android.material.textfield.TextInputLayout>


    <androidx.constraintlayout.widget.Guideline
        android:id="@+id/guideline2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintGuide_percent=".5"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/loDate"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintEnd_toStartOf="@+id/guideline2"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/loName">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/etDate"
            android:imeOptions="actionNext"
            android:maxLines="1"
            android:inputType="number"
            android:digits="0123456789"
            android:maxLength="5"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/str_date" />

    </com.google.android.material.textfield.TextInputLayout>

    <com.google.android.material.textfield.TextInputLayout
        android:id="@+id/loCvv"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:layout_marginTop="16dp"
        android:layout_marginEnd="32dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/guideline2"
        app:layout_constraintTop_toBottomOf="@+id/loName">

        <androidx.appcompat.widget.AppCompatEditText
            android:id="@+id/etCvv"
            android:imeOptions="actionDone"
            android:inputType="numberPassword"
            android:digits="0123456789"
            android:maxLines="1"
            android:maxLength="4"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/str_cvv" />

    </com.google.android.material.textfield.TextInputLayout>



    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/btnSend"
        android:text="@string/str_pay"
        android:layout_width="0dp"
        style="@style/Widget.AppCompat.Button.Colored"
        android:layout_height="wrap_content"
        android:layout_marginStart="32dp"
        android:layout_marginEnd="32dp"
        android:layout_marginBottom="32dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />


</androidx.constraintlayout.widget.ConstraintLayout>